NVIDIA-SMI has failed because it couldn't communicate with the NVIDIA driver

Please help with below error. I am struggling for past few days

-bash-4.2$ rpm -qa | grep nvidia
nvidia-driver-latest-dkms-devel-465.19.01-1.el7.x86_64
kmod-nvidia-latest-dkms-465.19.01-1.el7.x86_64
nvidia-driver-latest-dkms-465.19.01-1.el7.x86_64
yum-plugin-nvidia-0.5-1.el7.noarch
nvidia-driver-latest-dkms-NVML-465.19.01-1.el7.x86_64
nvidia-driver-latest-dkms-cuda-libs-465.19.01-1.el7.x86_64
nvidia-xconfig-latest-dkms-465.19.01-1.el7.x86_64
nvidia-driver-latest-dkms-NvFBCOpenGL-465.19.01-1.el7.x86_64
nvidia-persistenced-latest-dkms-465.19.01-1.el7.x86_64
nvidia-driver-latest-dkms-libs-465.19.01-1.el7.x86_64
nvidia-driver-latest-dkms-cuda-465.19.01-1.el7.x86_64
nvidia-modprobe-latest-dkms-465.19.01-1.el7.x86_64
(graphgym) -bash-4.2$ nvidia-smi
NVIDIA-SMI has failed because it couldn’t communicate with the NVIDIA driver. Make sure that the latest NVIDIA driver is installed and running.

(graphgym) -bash-4.2$

my system details:
(graphgym) -bash-4.2$ uname -r
4.1.12-124.45.6.el7uek.x86_64

(graphgym) -bash-4.2$ uname -a
Linux 5866ac7aae3f 4.1.12-124.45.6.el7uek.x86_64 #2 SMP Wed Nov 25 06:46:51 PST 2020 x86_64 x86_64 x86_64 GNU/Linux

(graphgym) -bash-4.2$ cat /etc/oracle-release
Oracle Linux Server release 7.9

It used to be that people would respond here - mainly from Nvidia. I guess no longer.